Bug 949932 (CVE-2013-1929)

Summary: CVE-2013-1929 Kernel: tg3: buffer overflow in VPD firmware parsing
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, anton, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jonathan, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mcressma, plougher, pmatouse, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130327,reported=20130405,source=oss-security,cvss2=6.2/AV:L/AC:H/Au:N/C:C/I:C/A:C,rhel-5/kernel=affected,rhel-6/kernel=affected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-10 00:58:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 915516, 949939, 949940, 949942, 949943, 949944, 949945, 949946    
Bug Blocks: 949888    

Description Prasad J Pandit 2013-04-09 06:13:46 EDT
Linux kernel built with the Broadcom tg3 ethernet driver is vulnerable to a
buffer overflow. This could occur when the tg3 driver reads and copies firmware 
string from hardware's product data(VPD), if it exceeds 32 characters.

A user with physical access to a machine could use this flaw to crash the
system or, potentially, escalate their privileges on the system.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/715230a44310a8cf66fbfb5a46f9a62a9b2de424

Reference:
----------
 -> http://openwall.com/lists/oss-security/2013/04/05/2
Comment 1 Prasad J Pandit 2013-04-09 06:20:28 EDT
Statement:

This issue affects the versions of the Linux kernel as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

The Red Hat Security Response Team has rated this issue as having low security 
impact because physical access is needed to exploit this issue.  Future kernel 
updates for Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2 may 
address this issue. For additional information, refer to the Issue Severity 
Classification: https://access.redhat.com/security/updates/classification/.
Comment 4 Prasad J Pandit 2013-04-09 06:34:09 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 949946]
Comment 5 Fedora Update System 2013-04-11 19:33:45 EDT
kernel-3.8.6-203.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 errata-xmlrpc 2013-05-20 12:54:41 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html
Comment 7 errata-xmlrpc 2013-07-09 23:54:34 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1034 https://rhn.redhat.com/errata/RHSA-2013-1034.html
Comment 8 errata-xmlrpc 2013-11-21 12:55:42 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1645 https://rhn.redhat.com/errata/RHSA-2013-1645.html